buypeeb
===

i figured, may as well try and learn c#

0uo

## quick start (arch linux)
```bash
git clone https://git.bune.city/lynnesbian/buypeeb-cs
cd buypeeb-cs
sudo pacman -S dotnet-sdk
dotnet run
```
---

## installing prerequisites
you will need either:
- [dotnet core sdk](https://dotnet.microsoft.com/) (recommended, it's the easiest to use)
- [mono](https://www.mono-project.com/download/stable/) and [gtk sharp 3](https://github.com/GtkSharp/GtkSharp/)

### debian
#### dotnet
follow [these instructions](https://docs.microsoft.com/en-us/dotnet/core/install/linux-debian) to add the dotnet repo and install dotnet-sdk.

#### mono
the packages you'll need are `mono-devel` and `gtk-sharp3`, so:
```
sudo apt install mono-devel gtk-sharp3
```

### arch linux
#### dotnet
```
sudo pacman -S dotnet-sdk
```

#### mono
```
sudo pacman -S mono gtk-sharp-3
```

### windows
- download and install ".NET Core SDK" from [this page](https://dotnet.microsoft.com/download)
- run `dotnet build` - this *should* pull in gtk3 automatically - if not, you'll need to [install it yourself](https://github.com/tschoonj/GTK-for-Windows-Runtime-Environment-Installer/releases/latest)

i have no idea how to install mono with gtksharp properly on windows, and believe me i tried

---

## compiling
### dotnet
```
dotnet build
```

### mono
```
mcs -pkg:gtk-sharp-3.0 -resource:ui.glade *.cs
```

---
## running
### dotnet
```
dotnet run
```

### mono
```
mono ./BuypeebApp.exe
```

